{{$selectValue := toCheckboxValue .data.Value}}

{{with .attribute}}
<select id="attribute-{{.Name}}" class="bg-gray-50 border border-gray-300 text-gray-800 rounded-lg focus:ring-sky-500 focus:border-sky-500 block w-full p-2.5" name="attributes[{{$.index}}].value"{{if .Multiple}} multiple size="10"{{end}} placeholder="{{.Label}}"
  {{- if $.autofocus}} autofocus{{end -}}
>
  {{range .Options}}
  <option value="{{.Name}}"
  {{- if and (ne $.data.Value nil) (or (and $.attribute.Multiple (stringIn $selectValue .Name)) (and (not $.attribute.Multiple) (eq $.data.Value .Name)))}} selected{{end -}}
  >{{.Label}}</option>
  {{end}}
</select>
{{end}}
